Bug 1123554 - [abrt] bluez: vasprintf(): bluetoothd killed by SIGSEGV
Summary: [abrt] bluez: vasprintf(): bluetoothd killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: bluez
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Don Zickus
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:a1e32dd658a8b86efb9c42874df...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-26 11:33 UTC by declan.mcardle
Modified: 2015-06-29 21:46 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:46:11 UTC


Attachments (Terms of Use)
File: backtrace (81.63 KB, text/plain)
2014-07-26 11:33 UTC, declan.mcardle
no flags Details
File: cgroup (168 bytes, text/plain)
2014-07-26 11:33 UTC, declan.mcardle
no flags Details
File: core_backtrace (5.76 KB, text/plain)
2014-07-26 11:33 UTC, declan.mcardle
no flags Details
File: dso_list (1.26 KB, text/plain)
2014-07-26 11:33 UTC, declan.mcardle
no flags Details
File: environ (120 bytes, text/plain)
2014-07-26 11:33 UTC, declan.mcardle
no flags Details
File: exploitable (82 bytes, text/plain)
2014-07-26 11:33 UTC, declan.mcardle
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-26 11:33 UTC, declan.mcardle
no flags Details
File: maps (6.18 KB, text/plain)
2014-07-26 11:33 UTC, declan.mcardle
no flags Details
File: open_fds (1.57 KB, text/plain)
2014-07-26 11:33 UTC, declan.mcardle
no flags Details
File: proc_pid_status (904 bytes, text/plain)
2014-07-26 11:33 UTC, declan.mcardle
no flags Details
File: var_log_messages (17.03 KB, text/plain)
2014-07-26 11:33 UTC, declan.mcardle
no flags Details

Description declan.mcardle 2014-07-26 11:33:12 UTC
Version-Release number of selected component:
bluez-5.18-1.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/libexec/bluetooth/bluetoothd
crash_function: vasprintf
executable:     /usr/libexec/bluetooth/bluetoothd
kernel:         3.15.6-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #6 vasprintf at /usr/include/bits/stdio2.h:210
 #7 g_vasprintf at gprintf.c:314
 #8 g_string_append_vprintf at gstring.c:1164
 #9 g_string_append_printf at gstring.c:1268
 #10 g_key_file_to_data at gkeyfile.c:1483
 #11 device_store_cached_name at src/device.c:443
 #12 connected_callback at src/adapter.c:6196
 #13 queue_foreach at src/shared/queue.c:186
 #14 process_notify at src/shared/mgmt.c:287
 #15 can_read_data at src/shared/mgmt.c:362

Comment 1 declan.mcardle 2014-07-26 11:33:16 UTC
Created attachment 921147 [details]
File: backtrace

Comment 2 declan.mcardle 2014-07-26 11:33:18 UTC
Created attachment 921148 [details]
File: cgroup

Comment 3 declan.mcardle 2014-07-26 11:33:19 UTC
Created attachment 921149 [details]
File: core_backtrace

Comment 4 declan.mcardle 2014-07-26 11:33:20 UTC
Created attachment 921150 [details]
File: dso_list

Comment 5 declan.mcardle 2014-07-26 11:33:22 UTC
Created attachment 921151 [details]
File: environ

Comment 6 declan.mcardle 2014-07-26 11:33:23 UTC
Created attachment 921152 [details]
File: exploitable

Comment 7 declan.mcardle 2014-07-26 11:33:25 UTC
Created attachment 921153 [details]
File: limits

Comment 8 declan.mcardle 2014-07-26 11:33:27 UTC
Created attachment 921154 [details]
File: maps

Comment 9 declan.mcardle 2014-07-26 11:33:28 UTC
Created attachment 921155 [details]
File: open_fds

Comment 10 declan.mcardle 2014-07-26 11:33:29 UTC
Created attachment 921156 [details]
File: proc_pid_status

Comment 11 declan.mcardle 2014-07-26 11:33:31 UTC
Created attachment 921157 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-05-29 12:28:40 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-29 21:46:11 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.